Create a Queue Browser
put
/queueBrowsers/{browserName}
Create a queue browser on the
destination parameter.Request
Path Parameters
-
browserName: string
The name of the queue browser.
Query Parameters
-
destination: string
Required. A specification of the queue to browse. The value must have the form
./queues/queueName -
selector(optional): string
Optional. A specification of a subset of messages the queue browser will return. The value of the parameter must be a selector. For the syntax of selectors, see the Message Selectors section of the Java API reference for the
javax.jms.Messageclass. -
session: string
Required. The name of the session in which to create the queue browser.
Response
201 Response
Queue browser created.
400 Response
Error Codes
sessionNotFound: There is no session with the specified name.destinationNotFound: The destination that is requested does not exist.badParameter:One of the following occurred:- The
destinationparameter value did not parse as a specification of a queue. - The
selectorparameter value was ill-formed.
- The
409 Response
Error Codes
queueBrowserAlreadyExists:A queue browser with the specified name already exists.
500 Response
Error Codes
operationFailed:A low-level exception occurred in attempting to create the browser.
Examples
cURL Command
Create a queue browser on a specified destination.
cookie=/tmp/messaging-cookie
curl -s -u $USER:$PASS -c $cookie -b $cookie \
-H "X-OC-ID-TOKEN-STATUS: disabled" \
-X PUT "https://messaging.us2.oraclecloud.com/myService-myTenant/api/v1/queueBrowsers/myFirstBrowser?session=myFirstSession&destination=/queues/myQueueToBrowse"
There is no request body to submit with the HTTP request and there is no response body.
Back to Top